GNU bug report logs - #60903
[PATCH 01/25] gnu: go-golang-org-x-sync: Update to 0.1.0-1.8fcdb60.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:05 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:27 2023
Received: from localhost ([127.0.0.1]:38599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxW2-0007Tw-Ma
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:27 -0500
Received: from lists.gnu.org ([209.51.188.17]:60080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxVx-0007SG-7N
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:23 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVr-0001zb-Qy
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:16 -0500
Received: from mail-io1-xd31.google.com ([2607:f8b0:4864:20::d31])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxVp-0006vC-RE
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:15 -0500
Received: by mail-io1-xd31.google.com with SMTP id n85so8154833iod.7
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=5rpL5TwjRiel4SVVeKHiLQlVzP5ZOtAiMin/1NoKMNM=;
 b=Rk06u7aFMbh0aHZXHw1jCT4SPmUi8BcbclmKxJmdchsP+mSPeWOf8KjZhX6dpcv/iF
 Wpub7IusFcjMT2QLCZlYU/BX1gurRN6Fx7NCesHJ2IF1/DxIENAZgNpwWS4bg3CrLE3Y
 D9dXebO4tmf3v51g1b5P4vUw6mFWNMbFReimKeFRwzGweQwotcI7RIacr2Rg36cbrHvt
 h2bWa+XzOtPeSYTRN4cFTMGRbThLIoxjclCApNJLZ/cZP+rG9/AaqajdQKQMgFTkOor1
 ucybtQiWTrOaiz0bm/+klMKJMLG2BD6VvGWp1QW9TRJZc1nGNnR5vhjbxuHQ3b1m0xfI
 DuTA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=5rpL5TwjRiel4SVVeKHiLQlVzP5ZOtAiMin/1NoKMNM=;
 b=gEPxDVmvgBAZcQpksQESBgyCqTSewopZ97VEn5KqOGv52ZAFrPtR1y+YuptNVGYTmM
 wTX99B+OW0X4UkAGALp9P21IFifTogfz84jHcuHlGYea5cFHSGBzrCSSTYJbW36wMrU4
 0YwyG9TcjH0QWuH7DDbjsdr8bpNkHOGUQr/RIxFMakBrvgGRE3MJZ56fm9ZkOYfAs8lh
 xfT+2v9jtF2dE7/TiePZvhpBty0Cy5bsXaC6aIao2xCmvpSvuGe6q2W2NcI3o1HmkuRB
 Wm8NuFWdg8oBl8hMHAmDbjSil1iyt7OjZBHdhWhj0Rzt+soIpmfEgnuiqm7XozXaEnI5
 0DPA==
X-Gm-Message-State: AFqh2kroAN6FFldqhWWA3POnMeVRuebnEAteH+iBARRqAqyGXHx7zuF/
 mc/e581szk9x6DktKw91o3u88scPL+g=
X-Google-Smtp-Source: AMrXdXtlfYJP0utNsBCiuvESDnRpTBKmA70AINacGpUNLX7YFsk2B/B9yfzPlv1A/EX3ttm64qwmCg==
X-Received: by 2002:a6b:7207:0:b0:704:8629:8400 with SMTP id
 n7-20020a6b7207000000b0070486298400mr4441929ioc.8.1674006312622; 
 Tue, 17 Jan 2023 17:45:12 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:12 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 01/25] gnu: go-golang-org-x-sync: Update to 0.1.0-1.8fcdb60.
Date: Tue, 17 Jan 2023 18:44:46 -0700
Message-Id: <20230118014510.19320-2-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::d31;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-io1-xd31.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-golang-org-x-sync): Update to 0.1.0-1.8fcdb60.
---
 gnu/packages/golang.scm | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 70ddef52f1..9300e675dd 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -12,7 +12,7 @@
 ;;; Copyright © 2018 Tomáš Čech <sleep_walker@HIDDEN>
 ;;; Copyright © 2018 Pierre-Antoine Rouby <pierre-antoine.rouby@HIDDEN>
 ;;; Copyright © 2018 Pierre Neidhardt <mail@HIDDEN>
-;;; Copyright © 2018, 2019, 2020 Katherine Cox-Buday <cox.katherine.e@HIDDEN>
+;;; Copyright © 2018, 2019, 2020, 2023 Katherine Cox-Buday <cox.katherine.e@HIDDEN>
 ;;; Copyright © 2019 Giovanni Biscuolo <g@HIDDEN>
 ;;; Copyright © 2019, 2020 Alex Griffin <a@HIDDEN>
 ;;; Copyright © 2019, 2020, 2021 Arun Isaac <arunisaac@HIDDEN>
@@ -3021,11 +3021,11 @@ (define-public go-golang-org-x-image
       (license license:bsd-3))))
 
 (define-public go-golang-org-x-sync
-  (let ((commit "6e8e738ad208923de99951fe0b48239bfd864f28")
+  (let ((commit "8fcdb60fdcc0539c5e357b2308249e4e752147f1")
         (revision "1"))
     (package
       (name "go-golang-org-x-sync")
-      (version (git-version "0.0.0" revision commit))
+      (version (git-version "0.1.0" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
@@ -3034,17 +3034,17 @@ (define-public go-golang-org-x-sync
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "1avk27pszd5l5df6ff7j78wgla46ir1hhy2jwfl9a3c0ys602yx9"))))
+                  "07qrhni6f5hh5p95k1yk6s4wsj341q663irvx6rllrxfsymj6a0z"))))
       (build-system go-build-system)
       (arguments
        `(#:import-path "golang.org/x/sync"
          #:tests? #f
          ;; Source-only package
-         #:phases
-         (modify-phases %standard-phases
-           (delete 'build))))
+         #:phases (modify-phases %standard-phases
+                    (delete 'build))))
       (synopsis "Additional Go concurrency primitives")
-      (description "This package provides Go concurrency primitives in addition
+      (description
+       "This package provides Go concurrency primitives in addition
 to the ones provided by the language and “sync” and “sync/atomic”
 packages.")
       (home-page "https://go.googlesource.com/sync/")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60903; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.